You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@calcite.apache.org by fr...@apache.org on 2018/08/29 23:08:09 UTC

calcite-avatica-go git commit: Remove v from tags in dist folder when building using script

Repository: calcite-avatica-go
Updated Branches:
  refs/heads/master ee53d9fca -> d328101ff


Remove v from tags in dist folder when building using script


Project: http://git-wip-us.apache.org/repos/asf/calcite-avatica-go/repo
Commit: http://git-wip-us.apache.org/repos/asf/calcite-avatica-go/commit/d328101f
Tree: http://git-wip-us.apache.org/repos/asf/calcite-avatica-go/tree/d328101f
Diff: http://git-wip-us.apache.org/repos/asf/calcite-avatica-go/diff/d328101f

Branch: refs/heads/master
Commit: d328101ff81f0dc51db8dc5c62b4205a4cf0a48d
Parents: ee53d9f
Author: Francis Chuang <fr...@apache.org>
Authored: Thu Aug 30 09:08:02 2018 +1000
Committer: Francis Chuang <fr...@apache.org>
Committed: Thu Aug 30 09:08:02 2018 +1000

----------------------------------------------------------------------
 make-release-artifacts.sh | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/calcite-avatica-go/blob/d328101f/make-release-artifacts.sh
----------------------------------------------------------------------
diff --git a/make-release-artifacts.sh b/make-release-artifacts.sh
index 95cf432..f82f026 100755
--- a/make-release-artifacts.sh
+++ b/make-release-artifacts.sh
@@ -49,7 +49,8 @@ for i in $(git ls-files); do
    esac
 done
 
-tagWithoutRC=$(echo $tag | sed -e 's/-rc[0-9][0-9]*//' | sed -e 's/v//')
+tagWithoutV=$(echo $tag | sed -e 's/v//')
+tagWithoutRC=$(echo $tagWithoutV | sed -e 's/-rc[0-9][0-9]*//')
 product=apache-calcite-avatica-go
 tarFile=$product-src-$tagWithoutRC.tar.gz
 releaseDir=dist/$product-$tag
@@ -58,7 +59,7 @@ releaseDir=dist/$product-$tag
 mkdir -p $releaseDir
 
 # Checkout tag
-if ! git checkout $tag; then
+if ! git checkout $tagWithoutV; then
     echo "Could not check out tag $tag. Does it exist?"
     exit 1
 fi